Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03089 Sound Minor Always Apr 2, 2009, 18:31 Apr 1, 2012, 13:13
Tester LastNinja2 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Bugs That Aren't Bugs OS
Status [?] Resolved Driver snk6502.cpp
Version 0.130u2 Fixed in Version 0.145u6 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 03089: nibbler, nibbler8: Wave 2 music is broken
Description In nibbler, nibbler8, the music of the second wave is a mess; it sounds like a mix of different tracks.
Steps To Reproduce
Additional Information Driver name change in 0.132u5:
rockola.c > snk6502.c

Setname change in 0.143u6
nibblera > nibbler
nibblerb > nibbler8
Github Commit
Flags Verified with Original
Regression Version 0.88u7
Affected Sets / Systems nibbler, nibbler8
Attached Files
mp3 file icon nibbler no music.mp3 (1,360,000 bytes) Apr 3, 2009, 00:01
Relationships
There are no relationship linked to this issue.
Notes
18
User avatar
No.04118
Tafoid
Administrator
Apr 2, 2009, 19:22
edited on: Apr 2, 2009, 19:28
Yup. I can hear it's the 1st and 2nd wave overlapping. It's odd that the parent set doesn't do this or the "Olympia" set (nibbler, nibblero), as the sound roms are listed as the same between all 4 sets.

It's possible the alternate sets actually have different roms and it was assumed that all sets shared them? It doesn't make much sense otherwise unless there is some other 'hack' issue involved in the emulation that could cause the problems with these two clones.

The rollback roms I see in the 0.30-ish development range look to be alternate set sound roms. Perhaps they are needed and are unique for a reason.
User avatar
No.04129
Gyrovision
Tester
Apr 3, 2009, 00:03
I'd like to point out that every Rock-Ola Nibbler cabinet I played in the arcades never had any B/G music. See attached mp3.
User avatar
No.04130
Tafoid
Administrator
Apr 3, 2009, 03:02
Could it be that music was created for the game but not used and through emulation, you are able to discover the 'hidden' music?

As it stands, there looks to be 3 different musics (level 1, level 2-9, level 10-13). Anything 14 and above has no music at all and sounds a lot like the recording.
User avatar
No.07778
Tafoid
Administrator
Sep 15, 2011, 05:36
The research has been done and it's been determined that Nibbler has no music at all. The music that was played in MAME up until today was from the game Pioneer Balloon, the board which apparently housed the first dump for this game via a conversion kit. The manuals also list no entry in its parts list for "IC51". So, this bug is essentially fixed since there is no longer or should not even have been music in the first place.
User avatar
No.07779
Haze
Senior Tester
Sep 15, 2011, 14:01
edited on: Sep 15, 2011, 14:05
I've played the game, on a PCB, with the music.

MAME no longer represents this.

Even if it's in error this should be an option somewhere as I imagine a significant number of ops converting pioneer balloon would have left the rom there, assuming it wasn't present in the conversion kit because it wasn't meant to be changed. and some people will expect the music.

The debate opens up further tho, because the basic sound roms which you ARE still including still include, and attempt to play, the music from the region where the rom no longer is. That would suggest that this side-effect of leaving the pioneer balloon rom there was almost intentional, albeit maybe not properly tested (or there is a real music rom they forgot to ship, hence it breaking on later levels)

I don't really see how this differs from the black/blue Astro Fighter, where MAME makes it optional.
User avatar
No.07780
Tafoid
Administrator
Sep 15, 2011, 14:30
edited on: Sep 15, 2011, 14:30
Haze,
I'm sorry. The abundance of the evidence does not support this. Just -romident IC51 from Nibbler... it shows (quote from my mamecmp output)
From .ZIP/.RAR/.7z file: C:\Documents and Settings\Owner\Desktop\romshere\nibbler\mame-nibbler.zip
ROM_LOAD( "g-0959-43.ic51") SUM16(5334)
2048 (0x800) CRC(0345f8b7) SHA1(c00992dc7222cc53d9fdff4ab47a7abdf90c5116)

Set     	Source    	CloneOf 	RomOf   	Filename	Description
--------	----------	--------	--------	--------	-----------
nibbler 	snk6502.c	        	        	g-0959-43.ic51	Nibbler (set 1)
nibblera	snk6502.c	nibbler 	nibbler 	g-0959-43.ic51	Nibbler (set 2)
nibblerb	snk6502.c	nibbler 	nibbler 	g-0959-43.ic51	Nibbler (set 3)
nibblero	snk6502.c	nibbler 	nibbler 	g-0959-43.ic51	Nibbler (Olympia)
pballoon	snk6502.c	        	        	sk7_ic51.bin	Pioneer Balloon
pballoonr	snk6502.c	pballoon	pballoon	sk7_ic51.bin	Pioneer Balloon (Rock-Ola license)
pballoon-Retrocade_v1.2_b2	        	        	        	sk7_ic51.bin	Pioneer Balloon

Now, try Pioneer Balloon and play sections 3,4,5 of the game level - the melody of the music tracks are identical to those that have been in Nibbler.

Any music you heard was most assuredly from the half-dozen other boards that could be used to house the conversion kit. Between the pcb pictures I've seen from dedicated cabinets with unpopulated sockets for IC51 as well as empirical evidence from actual owners of the game, even someone who has his game directly from the company and currently holds the world record of over 1 billion points - I'd call all that strong evidence.
User avatar
No.07781
Haze
Senior Tester
Sep 15, 2011, 15:13
edited on: Sep 15, 2011, 15:16
I'm telling you that I played that configuration, and that it's an obvious thing an operator would do when upgrading / making a conversion, and therefore it SHOULD be supported in that configuration.

It's a legitimate configuration that people played.

I am quite aware that it's from Pioneer Balloon. It would have been left on there when converting, which is why I'm suggesting a set with music be marked as a conversion.

I've sorted through sets both with and without that rom present. The fact that the game code still attempts to play the music should tell you something.

I disagree with your destructive and absolute 'no music' change.
User avatar
No.07782
hap
Developer
Sep 15, 2011, 15:19
it's a difficult call, look at astrof.c tomahawk for example.

[code]
// versions of this have also been seen using the standard Astro Fighter PROM, giving a blue submarine
// in blue water, with pink / yellow borders. I think these are just unofficial conversions of Astro
// Fighter without the PROM properly replaced tho.
//ROM_LOAD( "astrf.clr", 0x0000, 0x0020, CRC(61329fd1) SHA1(15782d8757d4dda5a8b97815e94c90218f0e08dd) )
[/code]

Nibbler with music falls in between astrof and tomahawk regarding validity of inclusion IMO. I'd like a driver config too, but plainly adding the pballoon soundrom into the nibbler romset is messy/confusing.
User avatar
No.07783
Haze
Senior Tester
Sep 15, 2011, 15:28
edited on: Sep 15, 2011, 15:29
Well what I'm saying is picture the scenario.

operator is tasked with changing a pioneer balloon into a nibbler.

they're given a bunch of roms, and probably a pal to change the address map.

they replace the roms with the ones they're given, they leave everything else there.

they end up with a game of nibbler with that sound rom.

even if they were to remove that sound rom during the conversion process they'd probably notice a lack of music, think it was a mistake, and put it back.

I'm not saying it's perfect, and given how the music breaks on a later level it would strongly hint that there is a *correct* sound rom which was never distributed.

it's also possible that configuration only existed on a bootleg (because the bootleggers made the same mistake) or was manufactured like that when Olympia did their release (it's obvious there was very little oversight in overseas production from numerous games already in MAME)

MAME now gives the impression the game simply didn't exist in that configuration at all, which is wrong.
User avatar
No.07784
hap
Developer
Sep 15, 2011, 15:45
Yes, i had a similar scenario in my mind.
Your last point is weak tho :p i mean.. MAME gave the impression the game simply didn't exist in that no-music configuration at all, which was wrong. And by statistics telling that the no-music setup was more common, even more wrong than the current implementation.

Let's rest the case for awhile, and Stiletto can do his thing.
User avatar
No.07788
Tafoid
Administrator
Sep 19, 2011, 17:33
edited on: Sep 21, 2011, 12:15
Keeping this open until it's finally resolved. Both sets can be played with music without issue by changing to "HARD" difficulty. Such changes should not effect music in such a way so .. there are still unknowns
User avatar
No.08180
Stiletto
Administrator
Feb 11, 2012, 06:24
I haven't forgotten about this...
User avatar
No.08181
NekoEd
Senior Tester
Feb 11, 2012, 15:08
Are there instructions for the conversion kit? What do they say about IC51? I would follow this as "law" since this would be the official documentation.

I think this all ultimately comes down to an ideological decision on what exactly MAME does and should document in its task as a documentation project. Do we document "stupid operator tricks?" Or do we discard them as nonsense? Where is the threshold for including such a thing as an option? How do we determine just whose error it is? If it's developer/originator error, does that make it more valuable so to speak than operator error? It ends up being a case of "where do we draw the line(s)" when it comes to documenting variations, however the manner they became variant.

I'm torn on this one. I'd render my opinion, but I simply can't form one on this issue; both sides have a good argument, and it ends up going back to making that decision detailed above.
User avatar
No.08182
M.A.S.H.
Senior Tester
Feb 11, 2012, 16:22
So why is the the music broken in level 2 in nibbler and nibbler8 ?
And in the clones nibbler6 and nibblero not?
Possible wrong sound roms for nibbler and nibbler8 or BAD DUMPS?
Some unsupported sound commands?
User avatar
No.08183
Tafoid
Administrator
Feb 11, 2012, 16:39
In short, I've theorized, after many days of research and polling of actual game owners that the game was never intended to have any music at all.

Any music roms found simply came from the PCB's they used the Nibbler conversion kit on. I've stated before that in both the dedicated cabinet manual and the conversion kit manual, there is no mention of the IC51 in the parts list for populated chips... which is where the music data is stored for that boardset. You can take Vanguard's ic51, for instance, and put it in the nibbler boardset and it will use music from that game. The first dump we got was from a conversion kit, with IC51 populated and matches up 100% to Pioneer Balloon's sound rom which leads to the conclusion that the board used in the conversion was a Pioneer Balloon before it became a Nibbler.

This bug is not to argue the validity of the original dump - but the fact that Nibbler, by DESIGN, used no sound roms backed up by documentation (manuals) and hands-on research and that any music that was produced were from the game it was converted from. No doubt, there is universal code used to access sound effects and music giving some reason to the idea that sound is produced even if it was not intended.
User avatar
No.08190
Haze
Senior Tester
Feb 13, 2012, 13:58
edited on: Feb 13, 2012, 14:01
It is interesting to note (as per observations) that the music does appear to work correctly in at least 2 of the sets however (unless it breaks on a different level)

This would suggest that they were at least aware of people converting it and leaving the music rom there, or at least one distributor of the game intended it to be that way and 'fixed' the bug. Back in the 80s there were a lot of individual regional distributors who would make their own decisions, apply their own changes and make their own 'fixes' / hacks.

Quite a bizzare bugfix to have if music was apparently never meant to be heard, don't you think?

I'd hazard a guess the sets where the music is broken were definitely never intended to have it, the sets where it's fixed possibly were once they realised what people were doing?
User avatar
No.08424
hap
Developer
Apr 1, 2012, 11:48
today JunoMan made some photos of a Nibbler PCB (maskroms, and no ic51):
http://imgur.com/a/I5KVx
User avatar
No.08425
hap
Developer
Apr 1, 2012, 13:13
There are way too many references now, proving that the game shouldn't have music.
I've split nibbler6 into two, one of them is a pballoon conversion now. I hope this finally solves this thing :P